--- MakeTeXTFM.orig	Sat Feb  8 15:52:00 1997
+++ MakeTeXTFM	Sun Aug 16 15:41:39 1998
@@ -1,5 +1,5 @@
 #!/bin/sh
-# original MakeTeXTFM -- make a new TFM file, because one wasn't found.
+# MakeTeXTFM -- make a new TFM file, because one wasn't found.
 # 
 # (If you change or delete the word `original' on the previous line,
 # installation won't write this script over yours.)
@@ -50,7 +50,25 @@
   exit 1
 fi
 
-cmd="mf \mode:=$MODE; mag:=$MAG; scrollmode; input $NAME"
+unset cmd
+
+# test for CJK bitmap font in HBF format
+hbf2gf -q $NAME $DPI
+errstatus=$?
+
+if test $errstatus -ne 2; then
+  if test $errstatus -ne 0; then
+    echo "$progname: \`hbf2gf failed." >&2
+    exit 1
+  fi
+  pltotf ./$NAME.pl $TFMNAME || exit 1
+  cmd=true
+fi
+
+if test -z "$cmd"; then
+  cmd="mf \mode:=$MODE; mag:=$MAG; scrollmode; input $NAME"
+fi
+
 echo "$0: Running $cmd"
 $cmd </dev/null
 test -r $TFMNAME || { echo "$0: \`$cmd' failed to make $TFMNAME."; exit 1; }
